Retrieve a health check
GET
/v1/healthcheck/{id}/
const url = 'https://example.com/v1/healthcheck/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/healthcheck/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single health check by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this health check.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
agent
string format: uuid
name
required
101- 2FA for users102- K8S integration103- Report creation104- Application creation105- Upgrade plan106- Reaching account limits107- Passwords age108- Suggest reservation201- Glouton auto-upgrade202- Duplicated agent203- Agent outdated204- Configuration warning205- Service configuration needed206- NRPE detected207- Reaching agent limits208- Smartctl install209- IPMI install301- Swap needed302- CPU usage could lead to server upgrade/downgrade303- Mem usage could lead to server upgrade/downgrade304- Disk usage prediction305- Pending security upgrades306- SSL: checks on cypher authorized and protocols versions109- Checks On-Call without users
integer
name_text
required
string
category
required
1- Bleemeo Account2- Bleemeo Server3- Server
integer
category_text
required
string
severity
0- ok1- warning2- critical
integer
severity_text
required
string
description
required
string
doc_link
required
string
result_text
string
created_at
required
string format: date-time
modified_at
required
string format: date-time
Example
{ "name": 101, "category": 1, "severity": 0}